> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# GetPendingTransactions

> GetPendingTransactions is called by the provider to get the pending transactions for the wallet.



## OpenAPI

````yaml /v1.2.x/api-reference/debug-openapi-spec.json get /v1/debug/pending_transactions
openapi: 3.0.0
info:
  title: Debug API
  version: 1.0.0
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/debug/pending_transactions:
    get:
      summary: GetPendingTransactions
      description: >-
        GetPendingTransactions is called by the provider to get the pending
        transactions for the wallet.
      operationId: DebugService_GetPendingTransactions
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1PendingTransactionsResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1PendingTransactionsResponse:
      type: object
      properties:
        pendingTransactions:
          type: array
          items:
            $ref: '#/components/schemas/v1TransactionInfo'
          description: List of pending transactions in the provider provider_registry.
      description: Transaction info returned by the provider.
      title: Pending transactions list
      required:
        - pendingTransactions
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1TransactionInfo:
      type: object
      example:
        created: 2009-11-10 23:00:00 +0000 UTC m=+0.000000001
        nonce: 1234
        txHash: 71c1348f2d7ff7e814f9c3617983703435ea7446de420aeac488bf1de35737e8
      properties:
        txHash:
          type: string
          description: >-
            Hex string encoding of the hash of the transaction that the bidder
            wants to include in the block.
          pattern: '[a-fA-F0-9]{64}'
        nonce:
          type: string
          format: int64
          description: Nonce used for the transaction.
        created:
          type: string
          description: Time when the transaction was created.
      description: Transaction info returned by the provider.
      title: Transaction info
      required:
        - txHash
        - nonce
        - created
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````